# PSmartPtr< T > Class Template Reference

This template class creates a type safe version of PSmartPointer. More...

`#include <smartptr.h>`

Inheritance diagram for PSmartPtr< T >:

List of all members.

## Public Member Functions

| PSmartPtr (T *ptr=NULL)
| Constructor.
T * | operator-> () const
| Access to the members of the smart object in the smart pointer.
T & | operator * () const
| Access to the dereferenced smart object in the smart pointer.
| operator T * () const
| Access to the value of the smart pointer.

## Detailed Description

### template<class T>
class PSmartPtr< T >

This template class creates a type safe version of PSmartPointer.

## Constructor & Destructor Documentation

template<class T>

PSmartPtr< T >::PSmartPtr | ( | T * | ptr = `NULL` | ) | `[inline]`

Constructor.

## Member Function Documentation

template<class T>

T& PSmartPtr< T >::operator * | ( |  | ) | const`[inline]`

Access to the dereferenced smart object in the smart pointer.

template<class T>

PSmartPtr< T >::operator T * | ( |  | ) | const`[inline]`

Access to the value of the smart pointer.

template<class T>

T* PSmartPtr< T >::operator-> | ( |  | ) | const`[inline]`

Access to the members of the smart object in the smart pointer.

The documentation for this class was generated from the following file:

- smartptr.h